// priority: 0

// Visit the wiki for more info - https://kubejs.com/

ServerEvents.recipes(event => {

  
event.remove ({ id: 'angelring:energetic_angel_ring'})
event.remove ({ id: 'angelring:leadstone_angel_ring'})
event.remove ({ id: 'angelring:hardened_angel_ring'})
event.remove ({ id: 'angelring:reinforced_angel_ring'})
event.remove ({ id: 'angelring:resonant_angel_ring'})


event.remove ({ id: 'rfd:clay_gen_tier_1' })
event.remove ({ id: 'rfd:clay_gen_tier_2' })
event.remove ({ id: 'rfd:clay_gen_tier_3' })
event.remove ({ id: 'rfd:clay_gen_tier_4' })
event.remove ({ id: 'rfd:clay_gen_tier_5' })

event.remove ({ id: 'rfd:clean_gen_tier_1' })
event.remove ({ id: 'rfd:clean_gen_tier_2' })
event.remove ({ id: 'rfd:clean_gen_tier_3' })
event.remove ({ id: 'rfd:clean_gen_tier_4' })
event.remove ({ id: 'rfd:clean_gen_tier_5' })

event.remove ({ id: 'rfd:fungus_gen_tier_1' })
event.remove ({ id: 'rfd:fungus_gen_tier_2' })
event.remove ({ id: 'rfd:fungus_gen_tier_3' })
event.remove ({ id: 'rfd:fungus_gen_tier_4' })
event.remove ({ id: 'rfd:fungus_gen_tier_5' })

event.remove ({ id: 'rfd:glowstone_gen_tier_1' })
event.remove ({ id: 'rfd:glowstone_gen_tier_2' })
event.remove ({ id: 'rfd:glowstone_gen_tier_3' })
event.remove ({ id: 'rfd:glowstone_gen_tier_4' })
event.remove ({ id: 'rfd:glowstone_gen_tier_5' })

event.remove ({ id: 'rfd:grass_gen_tier_1' })
event.remove ({ id: 'rfd:grass_gen_tier_2' })
event.remove ({ id: 'rfd:grass_gen_tier_3' })
event.remove ({ id: 'rfd:grass_gen_tier_4' })
event.remove ({ id: 'rfd:grass_gen_tier_5' })

event.remove ({ id: 'rfd:gravel_gen_tier_1' })
event.remove ({ id: 'rfd:gravel_gen_tier_2' })
event.remove ({ id: 'rfd:gravel_gen_tier_3' })
event.remove ({ id: 'rfd:gravel_gen_tier_4' })
event.remove ({ id: 'rfd:gravel_gen_tier_5' })

event.remove ({ id: 'rfd:ice_gen_tier_1' })
event.remove ({ id: 'rfd:ice_gen_tier_2' })
event.remove ({ id: 'rfd:ice_gen_tier_3' })
event.remove ({ id: 'rfd:ice_gen_tier_4' })
event.remove ({ id: 'rfd:ice_gen_tier_5' })

event.remove ({ id: 'rfd:obsidian_gen_tier_1' })
event.remove ({ id: 'rfd:obsidian_gen_tier_2' })
event.remove ({ id: 'rfd:obsidian_gen_tier_3' })
event.remove ({ id: 'rfd:obsidian_gen_tier_4' })
event.remove ({ id: 'rfd:obsidian_gen_tier_5' })

event.remove ({ id: 'rfd:quartz_gen_tier_1' })
event.remove ({ id: 'rfd:quartz_gen_tier_2' })
event.remove ({ id: 'rfd:quartz_gen_tier_3' })
event.remove ({ id: 'rfd:quartz_gen_tier_4' })
event.remove ({ id: 'rfd:quartz_gen_tier_5' })

event.remove ({ id: 'rfd:redstone_gen_tier_1' })
event.remove ({ id: 'rfd:redstone_gen_tier_2' })
event.remove ({ id: 'rfd:redstone_gen_tier_3' })
event.remove ({ id: 'rfd:redstone_gen_tier_4' })
event.remove ({ id: 'rfd:redstone_gen_tier_5' })

event.remove ({ id: 'rfd:snow_gen_tier_1' })
event.remove ({ id: 'rfd:snow_gen_tier_2' })
event.remove ({ id: 'rfd:snow_gen_tier_3' })
event.remove ({ id: 'rfd:snow_gen_tier_4' })
event.remove ({ id: 'rfd:snow_gen_tier_5' })

event.remove ({ id: 'rfd:sand_gen_tier_1' })
event.remove ({ id: 'rfd:sand_gen_tier_2' })
event.remove ({ id: 'rfd:sand_gen_tier_3' })
event.remove ({ id: 'rfd:sand_gen_tier_4' })
event.remove ({ id: 'rfd:sand_gen_tier_5' })

event.remove ({ id: 'rfd:soulsand_gen_tier_1' })
event.remove ({ id: 'rfd:soulsand_gen_tier_2' })
event.remove ({ id: 'rfd:soulsand_gen_tier_3' })
event.remove ({ id: 'rfd:soulsand_gen_tier_4' })
event.remove ({ id: 'rfd:soulsand_gen_tier_5' })

event.remove ({ id: 'rfd:ore_gen_tier_1' })
event.remove ({ id: 'rfd:ore_gen_tier_2' })
event.remove ({ id: 'rfd:ore_gen_tier_3' })
event.remove ({ id: 'rfd:ore_gen_tier_4' })
event.remove ({ id: 'rfd:ore_gen_tier_5' })

event.remove ({ id: 'rfd:dye_gen_tier_1' })
event.remove ({ id: 'rfd:dye_gen_tier_2' })
event.remove ({ id: 'rfd:dye_gen_tier_3' })
event.remove ({ id: 'rfd:dye_gen_tier_4' })
event.remove ({ id: 'rfd:dye_gen_tier_5' })

event.remove ({ id: 'rfd:crushed_netherrack_gen_tier_1' })
event.remove ({ id: 'rfd:crushed_netherrack_gen_tier_2' })
event.remove ({ id: 'rfd:crushed_netherrack_gen_tier_3' })
event.remove ({ id: 'rfd:crushed_netherrack_gen_tier_4' })
event.remove ({ id: 'rfd:crushed_netherrack_gen_tier_5' })

event.remove ({ id: 'rfd:crushed_endstone_gen_tier_1' })
event.remove ({ id: 'rfd:crushed_endstone_gen_tier_2' })
event.remove ({ id: 'rfd:crushed_endstone_gen_tier_3' })
event.remove ({ id: 'rfd:crushed_endstone_gen_tier_4' })
event.remove ({ id: 'rfd:crushed_endstone_gen_tier_5' })

event.remove ({ id: 'rfd:dust_gen_tier_1' })
event.remove ({ id: 'rfd:dust_gen_tier_2' })
event.remove ({ id: 'rfd:dust_gen_tier_3' })
event.remove ({ id: 'rfd:dust_gen_tier_4' })
event.remove ({ id: 'rfd:dust_gen_tier_5' })




// red_dye

    event.shaped('minecraft:red_dye', [
    'A  ',
    'B  ',
    '   ',
  ], {
    A: '#forge:dusts/redstone',
    B: '#forge:tools/mortars',
  }
)

// lime_wool

    event.shaped('minecraft:lime_wool', [
    'AA',
    'AA',
  ], {
    A: 'ex_hammers:plant_fiber',
  }
)

// string

    event.shaped('2x minecraft:string', [
    'A ',
    'B ',
  ], {
    A: 'ex_hammers:plant_fiber',
    B: '#forge:tools/knives',
  }
)

// grass_seed

    event.shaped('ex_hammers:grass_seed', [
    'A ',
    'B ',
  ], {
    A: 'minecraft:wheat_seeds',
    B: '#forge:tools/knives',
  }
)

// clay_ball

    event.shaped('4x minecraft:clay_ball', [
    'A ',
    'B ',
  ], {
    A: '#forge:tools/hammers',
    B: 'minecraft:clay',
  }
)

// extractinator

    event.remove ({ id: 'extractinator:extractinator'})
    event.shaped('extractinator:extractinator', [
    'GAG',
    'DBD',
    'FCF',
  ], {
    A: 'minecraft:hopper',
    B: 'minecraft:piston',
    C: 'gtceu:steel_gearbox',
    D: '#forge:springs/steel',
    F: '#forge:storage_blocks/steel',
    G: '#forge:gears/steel',
  }
)

// simple_ore_generator

    event.remove ({ id: 'simple_resource_generators:simple_ore_generator_recipe'})
    event.shaped('simple_resource_generators:simple_ore_generator', [
    'FAF',
    'BCB',
    'GDG',
  ], {
    A: '#forge:gears/steel',
    B: 'gtceu:nickel_small_item_pipe',
    C: 'simple_resource_generators:raw_conversion_generator',
    D: 'gtceu:lead_rotor',
    F: '#forge:plates/nickel',
    G: '#forge:springs/lead',
  }
)

// random_ore_generator

    event.remove ({ output: 'simple_resource_generators:random_ore_generator'})
    event.shaped('simple_resource_generators:random_ore_generator', [
    'FAF',
    'BCB',
    'GDG',
  ], {
    A: '#forge:gears/steel',
    B: 'gtceu:nickel_small_item_pipe',
    C: 'simple_resource_generators:random_ore_block_generator_placement',
    D: 'gtceu:lead_rotor',
    F: '#forge:plates/nickel',
    G: '#forge:springs/lead',
  }
)

// netherrack_gen_tier_1

    event.shaped('rfd:netherrack_gen_tier_1', [
    'ABA',
    'CEC',
    'ADA',
  ], {
    A: 'minecraft:stone_bricks',
    B: '#minecraft:logs',
    C: 'minecraft:lava_bucket',
    D: 'gtceu:netherrack_dust',
    E: 'minecraft:glass',
  }
)

// end_gen_tier_1

    event.shaped('rfd:end_gen_tier_1', [
    'ABA',
    'CEC',
    'ADA',
  ], {
    A: 'minecraft:stone_bricks',
    B: '#minecraft:logs',
    C: 'minecraft:lava_bucket',
    D: 'gtceu:endstone_dust',
    E: 'minecraft:glass',
  }
)

// angel_ring

    event.remove ({ id: 'angelring:angel_ring'})
    event.shaped('angelring:angel_ring', [
    ' A ',
    'ABA',
    ' A ',
  ], {
    A: 'angelblockrenewed:angel_block',
    B: '#forge:rings/gold',
  }
)

// angel_block

    event.remove ({ id: 'angelblockrenewed:angel_block'})
    event.shaped('angelblockrenewed:angel_block', [
    ' A ',
    'A A',
    ' A ',
  ], {
    A: '#forge:rods/tin',
  }
)

// golden_egg

    event.shaped('mob_grinding_utils:golden_egg', [
    ' A ',
    'ABA',
    ' A ',
  ], {
    A: '#forge:rings/gold',
    B: '#forge:storage_blocks/gold',
  }
)

// rotten_egg

    event.shaped('mob_grinding_utils:rotten_egg', [
    ' A ',
    'ABA',
    ' A ',
  ], {
    A: '#forge:rings/steel',
    B: '#forge:storage_blocks/steel',
  }
)

// hp_steam_solid_boiler

    event.shaped('gtceu:hp_steam_solid_boiler', [
    'AAA',
    'ABA',
    'CDC',
  ], {
    A: '#forge:plates/steel',
    B: '#forge:tools/wrenches',
    C: '#forge:plates/rubber',
    D: 'gtceu:lp_steam_solid_boiler',
  }
)

// ender_tank

    event.remove ({ output: 'endertanks:ender_tank'})
    event.shaped('endertanks:ender_tank', [
    'ABA',
    'CDC',
    'AEA',
  ], {
    A: '#forge:rods/steel',
    B: '#minecraft:wool',
    C: '#forge:plates/rubber',
    D: 'gtceu:steel_drum',
    E: '#forge:dusts/ender_pearl',
  }
)

// ender_chest

    event.remove ({ output: 'enderchests:ender_chest'})
    event.shaped('enderchests:ender_chest', [
    'ABA',
    'CDC',
    'AEA',
  ], {
    A: '#forge:rods/steel',
    B: '#minecraft:wool',
    C: '#forge:plates/rubber',
    D: 'gtceu:steel_crate',
    E: '#forge:dusts/ender_pearl',
  }
)

// ender_bucket

    event.remove ({ output: 'endertanks:ender_bucket'})
    event.shaped('endertanks:ender_bucket', [
    'ABA',
    'BCB',
    'ADA',
  ], {
    A: '#forge:rings/rubber',
    B: '#forge:plates/steel',
    C: '#forge:ender_pearls',
    D: '#minecraft:wool',
  }
)

// ender_bag

    event.remove ({ output: 'enderchests:ender_bag'})
    event.shaped('enderchests:ender_bag', [
    'ABA',
    'ECE',
    'ADA',
  ], {
    A: '#forge:plates/rubber',
    B: '#forge:rings/steel',
    C: 'enderchests:ender_pouch',
    D: '#minecraft:wool',
    E: '#forge:string',
  }
)

// saw

    event.remove ({ output: 'mob_grinding_utils:saw'})
    event.shaped('mob_grinding_utils:saw', [
    'CBC',
    'BDB',
    'FEF',
  ], {
    B: 'gtceu:diamond_buzz_saw_blade',
    C: 'mob_grinding_utils:spikes',
    D: '#forge:storage_blocks/red_alloy',
    E: 'gtceu:steel_gearbox',
    F: '#forge:circuits/lv',
  }
)

// fan

    event.remove ({ output: 'mob_grinding_utils:fan'})
    event.shaped('mob_grinding_utils:fan', [
    'CEC',
    'DBD',
    'CAC',
  ], {
    A: 'gtceu:steel_gearbox',
    B: '#forge:rotors/steel',
    C: '#forge:plates/thorium',
    D: '#forge:plates/rubber',
    E: '#forge:circuits/lv',
  }
)

// spikes

    event.remove ({ output: 'mob_grinding_utils:spikes'})
    event.shaped('mob_grinding_utils:spikes', [
    ' D ',
    'DCD',
    'CBC',
  ], {
    B: '#forge:storage_blocks/thorium',
    C: '#forge:plates/rubber',
    D: 'gtceu:steel_drill_head',
  }
)

// barrel

    event.remove ({ output: 'minecraft:barrel'})
    event.shaped('minecraft:barrel', [
    'ABA',
    'BCB',
    'ABA',
  ], {
    A: '#minecraft:planks',
    B: '#minecraft:logs',
    C: '#forge:gems/flint',
  }
)

// rain_shield

    event.remove ({ output: 'rainshield:rain_shield'})
    event.shaped('rainshield:rain_shield', [
    ' C ',
    ' A ',
    'BAB',
  ], {
    A: '#forge:rods/long/electrum',
    B: '#forge:plates/red_alloy',
    C: 'gtceu:lv_sensor',
  }
)

// travel_staff

    event.remove ({ output: 'travelanchors:travel_staff'})
    event.shaped('travelanchors:travel_staff', [
    ' EA',
    'DBE',
    'FC ',
  ], {
    A: '#forge:ender_pearls',
    B: 'gtceu:lv_emitter',
    C: '#forge:tools/wrenches',
    D: '#forge:tools/screwdrivers',
    E: '#forge:screws/steel',
    F: '#forge:rods/long/steel',
  }
)

// travel_anchor

    event.remove ({ output: 'travelanchors:travel_anchor'})
    event.shaped('travelanchors:travel_anchor', [
    'ABA',
    'CDC',
    'ABA',
  ], {
    A: '#forge:plates/invar',
    B: '#forge:plates/rubber',
    C: '#forge:ender_pearls',
    D: 'gtceu:lv_machine_hull',
  }
)

// laser_wrench

    event.remove ({ output: 'laserio:laser_wrench'})
    event.shaped('laserio:laser_wrench', [
    'CDC',
    'EBF',
    ' A ',
  ], {
    A: '#forge:rods/tin',
    B: 'laserio:logic_chip',
    C: '#forge:bolts/red_alloy',
    D: '#forge:screws/tin',
    E: '#forge:tools/wrenches',
    F: '#forge:tools/screwdrivers',
  }
)

// laser_node

    event.remove ({ output: 'laserio:laser_node'})
    event.shaped('laserio:laser_node', [
    'ABA',
    'BCB',
    'ABA',
  ], {
    A: '#forge:rods/tin',
    B: '#forge:glass_panes/colorless',
    C: 'laserio:laser_connector',
  }
)

// laser_connector

    event.remove ({ output: 'laserio:laser_connector'})
    event.shaped('laserio:laser_connector', [
    ' A ',
    'BCB',
    'DDD',
  ], {
    A: '#forge:rods/red_alloy',
    B: '#forge:foils/red_alloy',
    C: 'laserio:logic_chip',
    D: '#forge:plates/tin',
  }
)

// laser_connector_advanced

    event.shaped('laserio:laser_connector_advanced', [
    'EAE',
    'BCB',
    'DDD',
  ], {
    A: '#forge:rods/red_alloy',
    B: '#forge:plates/rubber',
    C: 'laserio:laser_connector',
    D: '#forge:plates/electrum',
    E: '#forge:ender_pearls',
  }
)

// laser_connector_advanced

    event.remove ({ output: 'laserio:laser_connector_advanced'})
    event.shaped('laserio:laser_connector_advanced', [
    'EAE',
    'BCB',
    'DDD',
  ], {
    A: '#forge:rods/red_alloy',
    B: '#forge:plates/rubber',
    C: 'laserio:logic_chip',
    D: '#forge:plates/electrum',
    E: '#forge:ender_pearls',
  }
)

// wood_drum

    event.shapeless('gtceu:wood_drum', 
'gtceu:wood_drum'
)

// bronze_drum

    event.shapeless('gtceu:bronze_drum', 
'gtceu:bronze_drum'
)

// steel_drum

    event.shapeless('gtceu:steel_drum', 
'gtceu:steel_drum'
)

// aluminium_drum

    event.shapeless('gtceu:aluminium_drum', 
'gtceu:aluminium_drum'
)

// stainless_steel_drum

    event.shapeless('gtceu:stainless_steel_drum', 
'gtceu:stainless_steel_drum'
)

// gold_drum

    event.shapeless('gtceu:gold_drum', 
'gtceu:gold_drum'
)

// titanium_drum

    event.shapeless('gtceu:titanium_drum', 
'gtceu:titanium_drum'
)

// tungsten_steel_drum

    event.shapeless('gtceu:tungsten_steel_drum', 
'gtceu:tungsten_steel_drum'
)

// ender_pearl_dust

    event.shapeless('4x gtceu:ender_pearl_dust', 
[
'#forge:dusts/beryllium',
'4x #forge:dusts/potassium'
]
)







event.remove({ mod: 'extractinator' })
event.remove({ id: 'minecraft:charcoal' })
event.remove ({ mod: 'pipez'})









event.smelting('gtceu:wrought_iron_ingot', 'minecraft:iron_ingot')






event.custom(
  {
    "type":"botanypots:crop",
    "seed":{"item":"gtceu:rubber_sapling"},
    "categories":["dirt"],
    "growthTicks":2400,
    "display":{"block":"gtceu:rubber_sapling"},
    "drops":[
      {
        "chance":1.00,
        "output":{"item":"gtceu:rubber_log"},
        "minRolls":2,
        "maxRolls":4},
        {
          "chance":0.10,
          "output":{"item":"minecraft:stick"},
          "minRolls":1,
          "maxRolls":2},
          {
            "chance":0.25,
            "output":{"item":"gtceu:sticky_resin"}},
            {"chance":0.65,
            "output":{"item":"gtceu:rubber_sapling"}
          }
        ]
      }
)
















/*

event.custom(
  {
    "type": "extractinator:extractinating",
    "input": {
      "tag": "forge:cobblestone"
    },
    "drops": [
      
      { "drop": "minecraft:copper_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "minecraft:iron_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "minecraft:gold_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:lead_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:nickel_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:silver_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:tin_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:cassiterite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:cassiterite_sand_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:chalcopyrite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:coal_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:rock_salt_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:salt_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:saltpeter_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:tetrahedrite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:malachite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:lapis_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:redstone_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:oilsands_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:electrotine_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:fullers_earth_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:mica_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:calcite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },

    ]
  }
)

event.custom(
  {
    "type": "extractinator:extractinating",
    "input": {
      "tag": "forge:gravel"
    },
    "drops": [
      { "drop": "gtceu:aluminium_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:beryllium_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:lithium_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:molybdenum_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:neodymium_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:asbestos_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:hematite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:goethite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:chromite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:cobaltite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:cooperite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:galena_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:garnierite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:ilmenite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:bauxite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:lazurite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:magnesite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:magnetite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:molybdenite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:powellite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:pyrolusite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:scheelite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:sodalite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:tantalite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:stibnite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:tungstate_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:uraninite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:wulfenite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:yellow_limonite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:quartzite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:graphite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:bornite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:bastnasite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:pentlandite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:spodumene_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:lepidolite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:glauconite_sand_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:barite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:alunite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:talc_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:soapstone_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:kyanite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:tricalcium_phosphate_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:vanadium_magnetite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:pollucite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:bentonite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:pitchblende_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:trona_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:gypsum_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:zeolite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:diatomite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:granitic_mineral_sand_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:garnet_sand_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:basaltic_mineral_sand_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      
    ]
  }
)

event.custom(
  {
    "type": "extractinator:extractinating",
    "input": {
      "item": "minecraft:netherrack"
    },
    "drops": [
      { "drop": "gtceu:nether_quartz_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:sulfur_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:sphalerite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:pyrite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:certus_quartz_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:cobalt_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:thorium_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:pyrochlore_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },

    ]
  }
)

event.custom(
  {
    "type": "extractinator:extractinating",
    "input": {
      "item": "minecraft:end_stone"
    },
    "drops": [
      { "drop": "gtceu:naquadah_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:palladium_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:platinum_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:plutonium_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },

    ]
  }
)

event.custom(
  {
    "type": "extractinator:extractinating",
    "input": {
      "tag": "forge:sand"
    },
    "drops": [
      { "drop": "gtceu:almandine_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:blue_topaz_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:cinnabar_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:diamond_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:emerald_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:green_sapphire_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:grossular_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:pyrope_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:ruby_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:sapphire_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:spessartine_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:topaz_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:chalcocite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:realgar_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:olivine_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:opal_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:amethyst_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:apatite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:red_garnet_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:yellow_garnet_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "gtceu:monazite_ore", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },

    ]
  }
)

event.custom(
  {
    "type": "extractinator:extractinating",
    "input": {
      "tag": "minecraft:dirt"
    },
    "drops": [
      { "drop": "#minecraft:saplings", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },
      { "drop": "#forge:seeds", "drop_chance": 0.01, "min_drop_count": 1, "max_drop_count": 1 },

    ]
  }
)

*/

// probably just remove the extractinator mod all together



let ULV = 8
let LV = 16
let MV = 96
let HV = 192



// fluix_dust

event.recipes.gtceu.macerator('kubejs:macerator/fluix_dust')
.itemInputs('ae2:fluix_crystal')
.itemOutputs('ae2:fluix_dust')
.duration(20)
.EUt(ULV)

// certus_quartz_crystal

event.recipes.gtceu.autoclave('kubejs:autoclave/certus_quartz_crystal')
.itemInputs('gtceu:certus_quartz_gem')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('ae2:certus_quartz_crystal')
.duration(20)
.EUt(ULV)

// clay

event.recipes.gtceu.autoclave('kubejs:autoclave/dust')
.itemInputs('ex_hammers:dust')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:clay')
.duration(20)
.EUt(LV)

// endstone

event.recipes.gtceu.autoclave('kubejs:autoclave/endstone')
.itemInputs('#forge:dusts/endstone')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:end_stone')
.duration(20)
.EUt(LV)

// netherrack

event.recipes.gtceu.autoclave('kubejs:autoclave/netherrack')
.itemInputs('#forge:dusts/netherrack')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:netherrack')
.duration(20)
.EUt(LV)

// granite

event.recipes.gtceu.autoclave('kubejs:autoclave/granite')
.itemInputs('#forge:dusts/granite')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:granite')
.duration(20)
.EUt(LV)

// andesite

event.recipes.gtceu.autoclave('kubejs:autoclave/andesite')
.itemInputs('#forge:dusts/andesite')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:andesite')
.duration(20)
.EUt(LV)

// diorite

event.recipes.gtceu.autoclave('kubejs:autoclave/diorite')
.itemInputs('#forge:dusts/diorite')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:diorite')
.duration(20)
.EUt(LV)

// deepslate

event.recipes.gtceu.autoclave('kubejs:autoclave/deepslate')
.itemInputs('#forge:dusts/deepslate')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:deepslate')
.duration(20)
.EUt(LV)

// basalt

event.recipes.gtceu.autoclave('kubejs:autoclave/basalt')
.itemInputs('#forge:dusts/basalt')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:basalt')
.duration(20)
.EUt(LV)

// stone

event.recipes.gtceu.autoclave('kubejs:autoclave/stone')
.itemInputs('#forge:dusts/stone')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:stone')
.duration(20)
.EUt(LV)

// silicon

event.recipes.gtceu.autoclave('kubejs:autoclave/silicon')
.itemInputs('#forge:dusts/silicon')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('ae2:silicon')
.duration(20)
.EUt(LV)

// ender_pearl

event.recipes.gtceu.autoclave('kubejs:autoclave/ender_pearl')
.itemInputs('#forge:dusts/ender_pearl')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:ender_pearl')
.duration(20)
.EUt(LV)

// ender_pearl

event.recipes.gtceu.mixer('kubejs:mixer/ender_pearl')
.itemInputs('#forge:dusts/ender_pearl')
.inputFluids(Fluid.of('minecraft:water', 250))
.itemOutputs('minecraft:ender_pearl')
.duration(20)
.EUt(LV)

// fluix_crystal

event.recipes.gtceu.mixer('kubejs:mixer/fluix_crystal')
.itemInputs('ae2:charged_certus_quartz_crystal')
.itemInputs('minecraft:redstone')
.itemInputs('minecraft:quartz')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('2x ae2:fluix_crystal')
.duration(20)
.EUt(ULV)

// glowstone_dust

event.recipes.gtceu.mixer('kubejs:mixer/glowstone_dust')
.itemInputs('#forge:dusts/certus_quartz')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:dusts/gold')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('3x minecraft:glowstone_dust')
.duration(100)
.EUt(LV)

// skystone_dust

event.recipes.gtceu.mixer('kubejs:mixer/skystone_dust')
.itemInputs('#forge:dusts/certus_quartz')
.itemInputs('#forge:dusts/nether_quartz')
.itemInputs('#forge:dusts/silver')
.inputFluids(Fluid.of('gtceu:oxygen', 150))
.itemOutputs('3x ae2:sky_dust')
.duration(100)
.EUt(LV)

// pointed_dripstone

event.recipes.gtceu.mixer('kubejs:mixer/pointed_dripstone')
.itemInputs('#forge:dusts/clay')
.itemInputs('#forge:dusts/calcite')
.itemInputs('#forge:dusts/quartz_sand')
.inputFluids(Fluid.of('minecraft:water', 1000))
.itemOutputs('minecraft:pointed_dripstone')
.duration(200)
.EUt(MV)

// netherite_scrap

event.recipes.gtceu.mixer('kubejs:mixer/netherite_scrap')
.itemInputs('#forge:dusts/chromium')
.itemInputs('#forge:dusts/aluminium')
.itemInputs('#forge:dusts/manganese')
.inputFluids(Fluid.of('gtceu:hydrochloric_acid', 250))
.itemOutputs('minecraft:netherite_scrap')
.duration(200)
.EUt(HV)

// dust

event.recipes.gtceu.forge_hammer('kubejs:forge_hammer/sand_to_dust')
.itemInputs('#forge:sand')
.itemOutputs('ex_hammers:dust')
.duration(10)
.EUt(LV)

// paper_dust

event.recipes.gtceu.forge_hammer('kubejs:forge_hammer/paper_dust')
.itemInputs('3x minecraft:sugar_cane')
.itemOutputs('2x gtceu:paper_dust')
.duration(20)
.EUt(ULV)

// wither_skeleton_skull

event.recipes.gtceu.assembler('kubejs:assembler/wither_skeleton_skull')
.itemInputs('4x wstweaks:fragment')
.itemInputs('#forge:storage_blocks/bone')
.inputFluids(Fluid.of('gtceu:sulfuric_acid', 250))
.itemOutputs('minecraft:wither_skeleton_skull')
.duration(200)
.EUt(HV)

// entity_conveyor

event.remove ({ output: 'mob_grinding_utils:entity_conveyor'})
event.recipes.gtceu.assembler('kubejs:assembler/entity_conveyor')
.itemInputs('4x #forge:plates/thorium')
.itemInputs('4x #forge:rods/thorium')
.itemInputs('2x #forge:fine_wires/red_alloy')
.itemInputs('2x gtceu:sticky_resin')
.inputFluids(Fluid.of('gtceu:rubber', 1296))
.itemOutputs('4x mob_grinding_utils:entity_conveyor')
.duration(200)
.EUt(LV)

// tank

event.remove ({ output: 'mob_grinding_utils:tank'})
event.recipes.gtceu.assembler('kubejs:assembler/tank')
.itemInputs('4x #forge:plates/rubber')
.itemInputs('4x #forge:plates/thorium')
.inputFluids(Fluid.of('gtceu:glass', 576))
.itemOutputs('mob_grinding_utils:tank')
.duration(200)
.EUt(LV)

// jumbo_tank

event.remove ({ output: 'mob_grinding_utils:jumbo_tank'})
event.recipes.gtceu.assembler('kubejs:assembler/jumbo_tank')
.itemInputs('4x mob_grinding_utils:tank')
.itemInputs('2x #forge:circuits/mv')
.itemInputs('2x #forge:gears/aluminium')
.itemInputs('4x #forge:plates/stainless_steel')
.inputFluids(Fluid.of('gtceu:thorium', 2592))
.itemOutputs('mob_grinding_utils:jumbo_tank')
.duration(200)
.EUt(MV)

// absorption_hopper

event.remove ({ output: 'mob_grinding_utils:absorption_hopper'})
event.recipes.gtceu.assembler('kubejs:assembler/absorption_hopper')
.itemInputs('minecraft:hopper')
.itemInputs('gtceu:mv_field_generator')
.itemInputs('2x #forge:small_gears/aluminium')
.itemInputs('4x #forge:plates/thorium')
.inputFluids(Fluid.of('gtceu:thorium', 1296))
.itemOutputs('mob_grinding_utils:absorption_hopper')
.duration(200)
.EUt(MV)

// ender_inhibitor_on

event.remove ({ output: 'mob_grinding_utils:ender_inhibitor_on'})
event.recipes.gtceu.assembler('kubejs:assembler/ender_inhibitor_on')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('#forge:gems/ender_eye')
.itemInputs('2x #forge:plates/thorium')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:ender_inhibitor_on')
.duration(200)
.EUt(LV)

// tinted_glass

event.remove ({ output: 'mob_grinding_utils:tinted_glass'})
event.recipes.gtceu.assembler('kubejs:assembler/tinted_glass')
.itemInputs('#forge:glass/colorless')
.itemInputs('2x #forge:dusts/obsidian')
.inputFluids(Fluid.of('gtceu:thorium', 288))
.itemOutputs('mob_grinding_utils:tinted_glass')
.duration(200)
.EUt(LV)

// fan_upgrade_width

event.remove ({ output: 'mob_grinding_utils:fan_upgrade_width'})
event.recipes.gtceu.assembler('kubejs:assembler/fan_upgrade_width')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:springs/gold')
.itemInputs('#forge:rotors/steel')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:fan_upgrade_width')
.duration(200)
.EUt(LV)

// fan_upgrade_speed

event.remove ({ output: 'mob_grinding_utils:fan_upgrade_speed'})
event.recipes.gtceu.assembler('kubejs:assembler/fan_upgrade_speed')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:gears/bronze')
.itemInputs('#forge:rotors/steel')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:fan_upgrade_speed')
.duration(200)
.EUt(LV)

// fan_upgrade_height

event.remove ({ output: 'mob_grinding_utils:fan_upgrade_height'})
event.recipes.gtceu.assembler('kubejs:assembler/fan_upgrade_height')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/bronze')
.itemInputs('#forge:rotors/steel')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:fan_upgrade_height')
.duration(200)
.EUt(LV)

// absorption_upgrade

event.remove ({ output: 'mob_grinding_utils:absorption_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/absorption_upgrade')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:ender_pearls')
.itemInputs('minecraft:hopper')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:absorption_upgrade')
.duration(200)
.EUt(LV)

// saw_upgrade_arthropod

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_arthropod'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_arthropod')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x minecraft:spider_eye')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_arthropod')
.duration(200)
.EUt(LV)

// saw_upgrade_beheading

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_beheading'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_beheading')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x gtceu:bronze_buzz_saw_blade')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_beheading')
.duration(200)
.EUt(LV)

// saw_upgrade_fire

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_fire'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_fire')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x gtceu:firebrick')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_fire')
.duration(200)
.EUt(LV)

// saw_upgrade_looting

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_looting'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_looting')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x #forge:flawless_gems/lapis')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_looting')
.duration(200)
.EUt(LV)

// saw_upgrade_sharpness

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_sharpness'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_sharpness')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x gtceu:bronze_turbine_blade')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_sharpness')
.duration(200)
.EUt(LV)

// saw_upgrade_smite

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_smite'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_smite')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x #forge:rods/long/silver')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_smite')
.duration(200)
.EUt(LV)

// xp_solidifier_upgrade

event.remove ({ output: 'mob_grinding_utils:xp_solidifier_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/xp_solidifier_upgrade')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x mob_grinding_utils:solid_xp_baby')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:xp_solidifier_upgrade')
.duration(200)
.EUt(LV)

// spawner_upgrade_width

event.remove ({ output: 'mob_grinding_utils:spawner_upgrade_width'})
event.recipes.gtceu.assembler('kubejs:assembler/spawner_upgrade_width')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:springs/gold')
.itemInputs('4x #forge:dusts/blaze')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:spawner_upgrade_width')
.duration(200)
.EUt(LV)

// spawner_upgrade_height

event.remove ({ output: 'mob_grinding_utils:spawner_upgrade_height'})
event.recipes.gtceu.assembler('kubejs:assembler/spawner_upgrade_height')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x #forge:dusts/blaze')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:spawner_upgrade_height')
.duration(200)
.EUt(LV)

// stone_lava_source_furnace

event.remove ({ output: 'lava_source:stone_lava_source_furnace'})
event.recipes.gtceu.assembler('kubejs:assembler/stone_lava_source_furnace')
.itemInputs('4x #forge:plates/iron')
.itemInputs('2x #forge:glass/colorless')
.itemInputs('minecraft:lava_bucket')
.itemInputs('minecraft:lava_bucket')
.inputFluids(Fluid.of('gtceu:rubber', 576))
.itemOutputs('lava_source:stone_lava_source_furnace')
.duration(200)
.EUt(LV)

// iron_lava_source_furnace

event.remove ({ output: 'lava_source:iron_lava_source_furnace'})
event.recipes.gtceu.assembler('kubejs:assembler/iron_lava_source_furnace')
.itemInputs('lava_source:stone_lava_source_furnace')
.inputFluids(Fluid.of('gtceu:invar', 1296))
.itemInputs('4x #forge:plates/iron')
.itemOutputs('lava_source:iron_lava_source_furnace')
.duration(200)
.EUt(LV)

// gold_lava_source_furnace

event.remove ({ output: 'lava_source:gold_lava_source_furnace'})
event.recipes.gtceu.assembler('kubejs:assembler/gold_lava_source_furnace')
.itemInputs('lava_source:iron_lava_source_furnace')
.itemInputs('4x #forge:plates/gold')
.inputFluids(Fluid.of('gtceu:electrum', 1296))
.itemOutputs('lava_source:gold_lava_source_furnace')
.duration(200)
.EUt(MV)

// diamond_lava_source_furnace

event.remove ({ output: 'lava_source:diamond_lava_source_furnace'})
event.recipes.gtceu.assembler('kubejs:assembler/diamond_lava_source_furnace')
.itemInputs('lava_source:gold_lava_source_furnace')
.itemInputs('4x #forge:plates/diamond')
.inputFluids(Fluid.of('gtceu:aluminium', 1296))
.itemOutputs('lava_source:diamond_lava_source_furnace')
.duration(200)
.EUt(HV)

// water_source_tier_1

event.remove ({ output: 'watersources:water_source_tier_1'})
event.recipes.gtceu.assembler('kubejs:assembler/water_source_tier_1')
.itemInputs('4x #forge:plates/iron')
.itemInputs('2x #forge:glass/colorless')
.itemInputs('minecraft:water_bucket')
.itemInputs('minecraft:water_bucket')
.inputFluids(Fluid.of('gtceu:rubber', 576))
.itemOutputs('watersources:water_source_tier_1')
.duration(200)
.EUt(LV)

// iron_upgrade

event.remove ({ output: 'watersources:iron_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/iron_upgrade')
.itemInputs('#forge:plates/iron')
.itemInputs('#forge:foils/bronze')
.itemInputs('#forge:glass_panes/colorless')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('watersources:iron_upgrade')
.duration(100)
.EUt(ULV)

// gold_upgrade

event.remove ({ output: 'watersources:gold_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/gold_upgrade')
.itemInputs('#forge:plates/gold')
.itemInputs('#forge:foils/steel')
.itemInputs('#forge:glass_panes/colorless')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('watersources:gold_upgrade')
.duration(100)
.EUt(LV)

// diamond_upgrade

event.remove ({ output: 'watersources:diamond_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/diamond_upgrade')
.itemInputs('#forge:plates/diamond')
.itemInputs('#forge:foils/aluminium')
.itemInputs('#forge:glass_panes/colorless')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('watersources:diamond_upgrade')
.duration(100)
.EUt(MV)

// netherite_upgrade

event.remove ({ output: 'watersources:netherite_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/netherite_upgrade')
.itemInputs('#forge:ingots/netherite')
.itemInputs('#forge:foils/stainless_steel')
.itemInputs('#forge:glass_panes/colorless')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('watersources:netherite_upgrade')
.duration(100)
.EUt(HV)

// spawner

event.remove ({ output: 'minecraft:spawner'})
event.recipes.gtceu.assembler('kubejs:assembler/spawner')
.itemInputs('mob_grinding_utils:entity_spawner')
.itemInputs('8x #forge:rods/steel')
.itemInputs('mob_grinding_utils:solid_xp_block')
.itemInputs('gtceu:lv_field_generator')
.inputFluids(Fluid.of('gtceu:rubber', 1296))
.itemOutputs('minecraft:spawner')
.duration(100)
.EUt(LV)

// calculation_processor_press

event.remove ({ output: 'ae2:calculation_processor_press'})
event.recipes.gtceu.assembler('kubejs:assembler/calculation_processor_press')
.itemInputs('gtceu:empty_mold')
.itemInputs('#forge:gems/certus_quartz')
.inputFluids(Fluid.of('gtceu:iron', 288))
.itemOutputs('ae2:calculation_processor_press')
.duration(100)
.EUt(LV)

// logic_processor_press

event.remove ({ output: 'ae2:logic_processor_press'})
event.recipes.gtceu.assembler('kubejs:assembler/logic_processor_press')
.itemInputs('gtceu:empty_mold')
.itemInputs('#forge:ingots/gold')
.inputFluids(Fluid.of('gtceu:iron', 288))
.itemOutputs('ae2:logic_processor_press')
.duration(100)
.EUt(LV)

// engineering_processor_press

event.remove ({ output: 'ae2:engineering_processor_press'})
event.recipes.gtceu.assembler('kubejs:assembler/engineering_processor_press')
.itemInputs('gtceu:empty_mold')
.itemInputs('#forge:gems/diamond')
.inputFluids(Fluid.of('gtceu:iron', 288))
.itemOutputs('ae2:engineering_processor_press')
.duration(100)
.EUt(LV)

// silicon_processor_press

event.remove ({ output: 'ae2:silicon_processor_press'})
event.recipes.gtceu.assembler('kubejs:assembler/silicon_processor_press')
.itemInputs('gtceu:empty_mold')
.itemInputs('#forge:silicon')
.inputFluids(Fluid.of('gtceu:iron', 288))
.itemOutputs('ae2:silicon_press')
.duration(100)
.EUt(LV)

// travel_anchor

event.recipes.gtceu.assembler('kubejs:assembler/travel_anchor')
.itemInputs('gtceu:lv_machine_hull')
.itemInputs('#forge:ender_pearls')
.itemInputs('4x #forge:plates/invar')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('travelanchors:travel_anchor')
.duration(100)
.EUt(LV)

// card_item

event.recipes.gtceu.assembler('kubejs:assembler/card_item')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/cobalt')
.itemInputs('#forge:gems/quartz')
.itemInputs('3x #forge:nuggets/gold')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('laserio:card_item')
.duration(40)
.EUt(ULV)

// card_item_2

event.recipes.gtceu.assembler('kubejs:assembler/card_item_2')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/cobalt')
.itemInputs('#forge:gems/quartz')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:polyethylene', 72))
.itemOutputs('laserio:card_item')
.duration(40)
.EUt(ULV)

// card_fluid

event.recipes.gtceu.assembler('kubejs:assembler/card_fluid')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/iron')
.itemInputs('#forge:gems/quartz')
.itemInputs('3x #forge:nuggets/gold')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('laserio:card_fluid')
.duration(40)
.EUt(ULV)

// card_fluid_2

event.recipes.gtceu.assembler('kubejs:assembler/card_fluid_2')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/iron')
.itemInputs('#forge:gems/quartz')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:polyethylene', 72))
.itemOutputs('laserio:card_fluid')
.duration(40)
.EUt(ULV)

// card_energy

event.recipes.gtceu.assembler('kubejs:assembler/card_energy')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('#forge:gems/quartz')
.itemInputs('3x #forge:nuggets/gold')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('laserio:card_energy')
.duration(40)
.EUt(ULV)

// card_energy_2

event.recipes.gtceu.assembler('kubejs:assembler/card_energy_2')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('#forge:gems/quartz')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:polyethylene', 72))
.itemOutputs('laserio:card_energy')
.duration(40)
.EUt(ULV)

// card_redstone

event.recipes.gtceu.assembler('kubejs:assembler/card_redstone')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:foils/red_alloy')
.itemInputs('#forge:gems/quartz')
.itemInputs('3x #forge:nuggets/gold')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('laserio:card_redstone')
.duration(40)
.EUt(ULV)

// card_redstone_2

event.recipes.gtceu.assembler('kubejs:assembler/card_redstone_2')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:foils/red_alloy')
.itemInputs('#forge:gems/quartz')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:polyethylene', 72))
.itemOutputs('laserio:card_redstone')
.duration(40)
.EUt(ULV)

// filter_basic

event.recipes.gtceu.assembler('kubejs:assembler/filter_basic')
.itemInputs('4x #forge:rods/iron')
.itemInputs('2x #forge:glass_panes/colorless')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('6x laserio:filter_basic')
.duration(40)
.EUt(ULV)

// filter_basic_2

event.recipes.gtceu.assembler('kubejs:assembler/filter_basic_2')
.itemInputs('4x #forge:rods/iron')
.itemInputs('2x #forge:glass_panes/colorless')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('8x laserio:filter_basic')
.duration(40)
.EUt(ULV)

// logic_chip

event.recipes.gtceu.assembler('kubejs:assembler/logic_chip')
.itemInputs('2x #forge:dusts/redstone')
.itemInputs('#forge:ingots/clay')
.itemInputs('#forge:storage_blocks/quartz')
.itemInputs('3x #forge:nuggets/gold')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('6x laserio:logic_chip')
.duration(40)
.EUt(ULV)

// logic_chip_2

event.recipes.gtceu.assembler('kubejs:assembler/logic_chip_2')
.itemInputs('2x #forge:dusts/redstone')
.itemInputs('#forge:ingots/clay')
.itemInputs('#forge:storage_blocks/quartz')
.itemInputs('3x #forge:nuggets/gold')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('8x laserio:logic_chip')
.duration(40)
.EUt(ULV)

// soul_sand

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/soul_sand')
.itemInputs('#forge:sand')
.itemInputs('wstweaks:fragment')
.inputFluids(Fluid.of('gtceu:nitric_acid', 250))
.itemOutputs('minecraft:soul_sand')
.duration(100)
.EUt(MV)

// soul_soil

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/soul_soil')
.itemInputs('#minecraft:dirt')
.itemInputs('wstweaks:fragment')
.inputFluids(Fluid.of('gtceu:nitric_acid', 250))
.itemOutputs('minecraft:soul_soil')
.duration(100)
.EUt(MV)

// flawless_budding_quartz

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/flawless_budding_quartz')
.itemInputs('#forge:storage_blocks/certus_quartz')
.inputFluids(Fluid.of('gtceu:hydrofluoric_acid', 1000))
.itemOutputs('ae2:flawless_budding_quartz')
.duration(100)
.EUt(MV)

// bedrock

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/bedrock')
.itemInputs('8x #forge:dusts/black_steel')
.inputFluids(Fluid.of('gtceu:kanthal', 1296))
.itemOutputs('minecraft:bedrock')
.duration(100)
.EUt(MV)









// fin //

  })


// compostableRecipes

ServerEvents.compostableRecipes(event => {

  event.add('gtceu:rubber_sapling', 0.45); // Example: Adding an apple with a 65% chance to increase compost level

});













// Listen to item tag event
ServerEvents.tags('item', event => {
  event.add('forge:dyes/red', 'minecraft:redstone')

})






